Bug 221165 - net-im/mikutter: Update to 3.5.9
Summary: net-im/mikutter: Update to 3.5.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: TAKATSU Tomonari
URL: http://mikutter.hatenablog.com/entry/...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2017-08-02 00:35 UTC by Koichiro Iwao
Modified: 2017-08-30 22:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tota)
koobs: merge-quarterly?


Attachments
patch (958 bytes, patch)
2017-08-02 00:35 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2017-08-02 00:35:32 UTC
Created attachment 184935 [details]
patch

Update to 3.5.9. Poudriere test build passed for me.

This release includes several crashes. See also release note (written in Japanese).
http://mikutter.hatenablog.com/entry/2017/07/08/095439

* doesn't start with rubygem-memoist >= 0.16.0
* occasional crash when rubygem-gtk2 <= 3.1.1

The first one is the problem since rubygem-memoist port already has been updated to 0.16.0. IMO, this should be merged to quarterly.
Comment 1 commit-hook freebsd_committer 2017-08-20 15:10:42 UTC
A commit references this bug:

Author: tota
Date: Sun Aug 20 15:10:27 UTC 2017
New revision: 448429
URL: https://svnweb.freebsd.org/changeset/ports/448429

Log:
  - Update to 3.5.9

  PR:		221165
  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp>
  MFH:		2017Q3

Changes:
  head/net-im/mikutter/Makefile
  head/net-im/mikutter/distinfo
Comment 2 commit-hook freebsd_committer 2017-08-30 22:34:35 UTC
A commit references this bug:

Author: tota
Date: Wed Aug 30 22:34:18 UTC 2017
New revision: 449006
URL: https://svnweb.freebsd.org/changeset/ports/449006

Log:
  MFH: r448429

  - Update to 3.5.9

  PR:		221165
  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp>

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/net-im/mikutter/Makefile
  branches/2017Q3/net-im/mikutter/distinfo
Comment 3 TAKATSU Tomonari freebsd_committer 2017-08-30 22:38:30 UTC
Committed and merged into 2017Q3 branch.
Thanks!